// package main -- пускач для демонстратора монолита
package main

import (
	"gitp78su.ipnodns.ru/svi/kern/v2"
	. "gitp78su.ipnodns.ru/svi/kern/v2/krn/ktypes"
)

var app IKernelMonolit

func main() {
	app = kern.GetMonolitLocal("Demo monolit")

	modServHttp := kern.GetModuleServHttp()
	app.Add(modServHttp)

	modKernelCtx := kern.GetModuleKernelCtx()
	app.Add(modKernelCtx)

	modKernKeep := kern.GetModuleKernelKeeper()
	app.Add(modKernKeep)

	modWui := kern.GetModuleWui()
	app.Add(modWui)

	app.Run()
	app.Wait()
}
